body
{
	margin: 0;

	background: #09060C;
	color: #E0E0FF;
	font-family: "Trebuchet MS", sans-serif
}

a
{
	color: #7373e9;
}

a:hover
{
	color: #b7b7ee;
}

.hidden
{
	display: none !important;
}

#canvasContainer
{
	height: 100%;
	width: 100%;
	overflow: scroll;
	text-align: center;
}

#canvasContainer #title
{
	position: absolute;
	left: 1em;

	color: #F0F0FF;
	text-shadow: #08030F 2px 2px 0;

	opacity: 50%;
	transition: opacity 0.25s;

	user-select: all;
}

#canvasContainer #title:hover
{
	opacity: 100%;
	transition: opacity 0.25s;
}

.overlay
{
	position: absolute;
	padding: 0.75em;
	border-radius: 0.75em;
	bottom: 2em;
	
	background: #131116;
	opacity: 50%;
	transition: opacity 0.25s;
}

#optionsContainer
{
	left: 1em;
}

.overlay:hover
{
	opacity: 100%;
	transition: opacity 0.25s;
}

.overlay .table
{
	display: table;
	margin: auto;
}

.overlay .table .row
{
	display: table-row;
}

.overlay .table .row .label
{
	display: table-cell;
	vertical-align: middle;
	text-align: right;
}

.overlay .table .row .label label
{
	display: inline-block;
	margin: 1px 5px 1px 0px;
}

.overlay .table .row .option
{
	display: table-cell;
}

.overlay .table .row .option input
{
	margin-bottom: 3px;
}

.overlay .table .row .option select
{
	margin-bottom: 3px;
}

#generateButton
{
	width: 100%;
	padding: 0.5em;
	margin: 2px 0px 2px 0px;

	font-size: 1.5em;
	font-weight: bold;
}

#helpButton
{
	display: block;
	font-size: 0.6em;
	font-weight: normal;
	margin: 2px auto 0px auto;
}

#navigationContainer
{
	right: 2em;
}

#navigationContainer button
{
	font-size: 3em;
	font-weight: bold;
	padding: 2px;
	margin-bottom: 5px;
}

#navigationContainer .rotateButton
{
	padding: 2px 8px;
}

#navigationContainer .arrowButton
{
	width: 47%;
}

#navigationContainer #hotkeysButton
{
	display: block;
	font-size: 0.6em;
	font-weight: normal;
	margin: 2px auto 0px auto;
}

#hotkeysWindow
{
	display: block;
	width: 100%;
	height: 0px;
	overflow: hidden;

	background: #1D1525;
	font-family: monospace;
}

.hotkeysWindowShown
{
	height: auto !important;
}

#hotkeysWindow p
{
	margin: 4px;
}

#helpWrapper
{
	position: absolute;
	left: 2em;
	right: 2em;
	top: 2em;
	bottom: 2em;
}

#helpContainer
{
	position: relative;
	max-width: 30em;
	margin: 2em auto;
	opacity: 100%;
	z-index: 1;
}

#helpContainer h1
{
	text-align: center;
}

#helpContainer #helpCloseButton
{
	display: block;
	padding: 0.5em;
	margin: 2px auto;

	font-size: 1.5em;
	font-weight: bold;
}